package org.rcisoft.core.util;

import io.jsonwebtoken.Claims;
import org.rcisoft.core.entity.IdEntity;

import java.util.Date;

/**
 * Created by lcy on 17/11/28.
 */
public class UserUtil {

    /**
     * 用户id
     */
    public static final String USER_ID = "businessId";
    /**
     * 用户 username
     */
    public static final String USER_USERNAME = "username";

    /**
     * 获取用户信息
     * @param token
     * @param prop
     * @return
     */
    public static String getUserInfoProp(String token,String prop){
        Claims claims = JwtUtil.getUserClaimsFromToken(token);
        return claims.get(prop).toString();
    }

    /**
     * 增加实体
     * @param entity
     * @param token
     */
    public static void setCurrentPersistOperation(IdEntity entity,String token) {
        entity.setCreateBy(UserUtil.getUserInfoProp(token,UserUtil.USER_ID));
        entity.setCreateDate(new Date());
        entity.setCommonBusinessId();
        entity.setNotDeleted();
        entity.setStart();
    }

    /**
     * 修改实体
     * @param entity
     * @param token
     */
    public static void setCurrentMergeOperation(IdEntity entity, String token) {
        entity.setUpdateBy(UserUtil.getUserInfoProp(token,UserUtil.USER_ID));
        entity.setUpdateDate(new Date());
    }
}
